System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object

An XML qualified name is a namespace qualified local name in the format of namespace:localname.

Because prefixes are only required when XML is persisted or read, they are irrelevant for objects. This class assumes that prefixes are irrelevant. It is the responsibility of the user to ensure the local name does not contain a ":".

Represents an XML qualified name.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The object created has no name or namespace defined.

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The object created does not have a namespace defined.

  Initializes a new instance of the class with the specified name.

  The local name to use as the name of the object.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified name and namespace.

  The local name to use as the name of the object.
  The namespace for the object.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlQualifiedName To be added

  Provides an empty .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the specified object is equal to the current object.

  true if the two are the same instance object; otherwise, false.

  The to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for the .

  A hash code for this object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the is empty.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets a string representation of the qualified name of the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets a string representation of the namespace of the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares two objects.

  true if the two objects have the same name and namespace values; otherwise, false.

  An to compare. An to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Compares two objects.

  true if the name and namespace values for the two objects differ; otherwise, false.

  An to compare. An to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns the string value of the .

  The string value of the in the format of namespace:localname. If the object does not have a namespace defined, this method returns just the local name.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` To be added

  Returns the string value of the .

  The string value of the in the format of namespace:localname. If the object does not have a namespace defined, this method returns just the local name.

  The name of the object. The namespace of the object.